EZ_GetWidgetIntData(3)

NAME
EZ_SetWidgetIntData, EZ_SetWidgetPtrData, EZ_SetWidgetClientData, EZ_GetWidgetIntData, EZ_GetWidgetPtrData, EZ_GetWidgetClientData
 - set/retrieve client data registered to a widget

SYNOPSIS
#include <EZ.h>

void *EZ_SetWidgetIntData( EZ_Widget*widget, int idata)
void *EZ_SetWidgetPtrData( EZ_Widget*widget, void *pdata)
void *EZ_SetWidgetClientData( EZ_Widget*widget,
        int idata, void *pdata)
int   EZ_GetWidgetIntData( EZ_Widget*widget)
void *EZ_GetWidgetPtrData( EZ_Widget*widget)
void *EZ_GetWidgetClientData( EZ_Widget*widget,
       int *i_ret, void **p_ret)

ARGUMENTS
widget Specifies an EZ widget.

idata Specifies an integer.

pdata Specifies a generic pointer.

i_ret Specifies a return for the integer client data.

p_ret Specifies a return for the pointer client data.

DESCRIPTION

The EZ_Widget data structure provides two fields for application to hook in application data to a widget. One is of type int and the other is of type void *.

EZ_SetWidgetIntData stores an integer in a widget.

EZ_SetWidgetPtrData stores a pointer in a widget.

EZ_SetWidgetClientData stores both the integer and the pointer client data. EZ_GetWidgetIntData returns the integer stored in a widget.

EZ_GetWidgetPtrData returns the pointer stored in a widget.

EZ_GetWidgetClientData returns both the integer and the pointer client data.

SEE ALSO
EZ_CreateWidget(3), EZ_AddEventHandler(3), EZ_AddWidgetCallBack(3)